# InlineQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.abstracts / InlineQuery

# InlineQuery

(common) `interface InlineQuery` (source)

### Properties

(common)

#### from

`abstract val from: User`

(common)

#### id

`abstract val id: InlineQueryIdentifier`

(common)

#### offset

`abstract val offset: String`

(common)

#### query

`abstract val query: String`

### Extension Functions

(common)

#### createAnswer

`fun InlineQuery.createAnswer(results: List<InlineQueryResult> = emptyList(), cachedTime: Int? = null, isPersonal: Boolean? = null, nextOffset: String? = null, switchPmText: String? = null, switchPmParameter: String? = null): AnswerInlineQuery`

### Inheritors

(common)

#### BaseInlineQuery

`data class BaseInlineQuery : InlineQuery`

(common)

#### LocationInlineQuery

`data class LocationInlineQuery : InlineQuery`